<?php

if($_COOKIE["nivel"]!="Vendedor"){
////	header("location: remesa2.php?n=".$_GET["n"]);
}
  include_once '../header.php';      
  include_once("../php/config.php");
      $sql = mysql_query("select * from tasas  where moneda='GOURDE'") or die(mysql_error());
	  
	  $tasa_remesa = @mysql_result($sql,0,"venta");
	  $tasa_compra = @mysql_result($sql,0,"compra");
	  $tasa_venta = @mysql_result($sql,0,"venta");
   


   $sql4 = mysql_query("select stock from productos where descripcion='".$_GET["n"]."'") or die(mysql_error());
   $balance = @mysql_result($sql4, 0, "stock");
   $moneda = $_GET["moneda"];
   $n = $_GET["n"];
?>

<div class="container">

<style>


</style>



<div class="row">
   <div class="col-md-5 col-md-offset-4">
    <div class="panel" style="padding: 10px">

    	<center>
    		<br>
<span style="font-size: 25px; font-weight:bolder" class="text-rojo">REMESA</span>
<br>


	<input type="hidden" id="balance_anterior" value="<?= $balance?>">

         <div class="col-xs-2"><b>AGENTE</b></div>
         <div class="col-xs-6">
           <select class="form-control" id="cliente"  onChange="get_cliente(this.value)">

				<option value="Generico" selected>Generico</option>
				<?php $sql3 = mysql_query("select * from clientes") or die(mysql_error());  ?>

				<?php while ($r3 = mysql_fetch_array($sql3)) { ?>
				  <option value="<?php echo $r3['nombre'] ?>"><?php echo $r3['nombre']." ".$r3["telefono"]."(".$r3["direccion"].")" ?></option>
				<?php } ?>
				</select>
				</div>
				<div class="col-xs-3"><a href="" onClick='limpiar()'><i class="bi bi-file"></i> Limpiar</a></div>
         <script>
          $(function(){
           /////alert(myUser);
           $('#cliente').select2();
          })
        </script>
        

  <hr>

<div style="">
<img src="<?php echo $_GET['n'].'.png'?>" style="">
</div>

<hr>




<div class="row">

<div class="col-xs-3 mt-2">
<b>TEL.</b>
</div>

<div class="col-xs-9">
<input class="form-control" style="font-size:21px; color:blue; font-weight:bolder" type="text" id="telefono" onBlur="valida(this.value)" value="<?php echo $_GET['telefono']?>">
</div>
</div>
<script>
 function valida(v){
	var n = "<?php echo $_GET['n']?>";
  if(v.length<11){
	/////alert("Favor verificar el numero de telefono, al parecer faltan digitos");
	////$(".btna").hide()
  }else{
	var posicion1 = v.substr(0,3);
	if(posicion1!="509"){
		alert("El formato del numero de telefono digitado esta incorrecto, debe incluir 509 antes");
		$(".btna").hide()
	}else{
		var posicion2 = v.substr(3,2);
		if(n=="moncash"){
			if(posicion2=="31" || posicion2=="34" || posicion2=="36" || posicion2=="37" || posicion2=="38" || posicion2=="39" || posicion2=="44" || posicion2=="45" || posicion2=="46" || posicion2=="47" || posicion2=="48" || posicion2=="49"){
				$(".btna").show();
			}else{
				$(".btna").hide();
				alert("EL NUMERO DE TELEFONO DIGITADO NO ES DE MONCASH")
			}
		}

		if(n=="natcash"){
			if(posicion2=="32" || posicion2=="33" || posicion2=="35" || posicion2=="41" || posicion2=="42" || posicion2=="43" || posicion2=="55"){
				$(".btna").show();
			}else{
				$(".btna").hide();
				alert("EL NUMERO DE TELEFONO DIGITADO NO ES DE NATCASH")
			}
		}
	}
  }


 }
</script>


<div class="row mt-2">

<div class="col-xs-3 mt-2">
<b>MONEDA</b>
</div>



<div class="col-xs-9">
 <select id="moneda" name="moneda" class="form-control " onChange="moneda(this.value)">
 <option value=""></option>
 	<option value="PESOS" selected>PESOS</option>
 	<option value="GOURDE">GOURDE</option>
 </select>
</div>
</div>

<div class="row mt-2">

	<div class="col-xs-3 mt-2">
<b>MONTO EN <span style="color:blue"><?php echo $_GET["moneda"]?></span></b>
</div>

<div class="col-xs-3">
<input class="form-control" style="font-size:21px; color:blue; font-weight:bolder" type="text" id="monto" onKeyDown="calc_comision2(event)" onkeyUp="calc_comision()">
</div>


<div class="col-xs-2 mt-2">
<b>COMISION</b>
</div>



<div class="col-xs-3">
<input readonly class="form-control" style="font-size:21px; color:blue; font-weight:bolder" type="text" id="comision">
</div>

</div>

<br>
<small class="text-rojo">Presionar tecla de espacio para cobrar de ahi la comision</small><br>


<center>
<span style="color:green; font-size:45px; font-weight:bolder;">TOTAL: <span id="total">0.00</span></span>
</center>

<hr>
<b>TOTAL A RECIBIR GOURDE</b><br>
<input style="font-size:21px; color:blue; font-weight:bolder" type="number" id="recibir" readonly>
<br><br>
<hr>
<a href='#' id="btn_aceptar" onClick="confirmar()" class="btn btn-rojo btna" ><i class="bi bi-check-circle" id="btnConfirmar"></i><b> ACEPTAR</b></a>



<b><a href='main.php' class="btn btn-primary" ><i class="bi bi-chevron-double-left"></i><b> VOLVER ATRAS</b></a>
<hr> 
<a href="#" onClick="ultimas_recargas()"> Ver ultimas remesas</a> | <a href="#" onClick="get_ultimo()"> Reimprimir</a></b>
</div>
</div>
  </div>
</center>


<!---Modal conformar-->
<div class="modal" id="modalConfirmar" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> CONFIRME NUMERO DE TELEFONO</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-md-4">
           

          </div>

          <div class="col-md-12">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder" placeholder="Confirme el numero" type="number" id="numero2">
       
          </div>



        </div>

      </div>
      <div class="modal-footer">
        <a class="btn btn-verde" data-dismiss="modal" onclick="grabar()" id="btngrabar"> <i class="bi bi-check-circle"></i> Confirmar</a>
		<a class="btn btn-default" data-dismiss="modal"> <i class="bi bi-chevron-double-left"></i> Cancelar</a>
      </div>
    </div>
  </div>
</div>



<div class="modal" id="modalActualizar" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> VALIDAR RECARGA</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
	  
	  <div class="row"> 
          <div class="col-xs-3">
            <b>#</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="number" id="idv" disabled>
       
          </div>
        </div>
		
        <div class="row">
          <div class="col-xs-3">
            <b>Numero tel.</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="number" id="numerov" disabled>
       
          </div>
        </div>
		
		
			<div class="row">
          <div class="col-xs-3">
            <b>Fecha</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="fecha" disabled>
       
          </div>
        </div>
		
		  <div class="row">
          <div class="col-xs-3">
            <b>Compania</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="companiav" disabled>
       
          </div>
        </div>
		
		<div class="row">
          <div class="col-xs-3">
            <b>Monto</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="montov" disabled>
       
          </div>
        </div>
		
			<div class="row">
          <div class="col-xs-3">
            <b>Moneda Origen</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="monedav" disabled>
       
          </div>
        </div>
		
		
			<div class="row">
          <div class="col-xs-3">
            <b>Vendedor</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="vendedorv" disabled>
       
          </div>
        </div>
		
			<div class="row">
          <div class="col-xs-3">
            <b>Comision RD$</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="comisionv" disabled>
       
          </div>
        </div>
		
		<div class="row">
          <div class="col-xs-3">
            <b>Comision GOURDE</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="comision2" disabled>
       
          </div>
        </div>
		
		
			<div class="row">
          <div class="col-xs-3">
            <b>Estado</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="estado" disabled>
       
          </div>
        </div>
		
			<div class="row">
          <div class="col-xs-3">
            <b>Tasa GOURDE</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="tasa" disabled>
       
          </div>
        </div>

      </div>
      <div class="modal-footer">
        
		<a class="btn btn-orange mt-2" data-dismiss="modal" onclick="declinar()" id="btngrabar"> <i class="bi bi-check-circle"></i> Declinar</a>
	
		<a class="btn btn-default mt-2" data-dismiss="modal"> <i class="bi bi-chevron-double-left"></i> Salir</a>
      </div>
    </div>
  </div>
</div>


<div id="recibo1" style="display:none">

</div>
</div>

<script>
function moneda(v){
  var telefono = $("#telefono").val();
	if(v=="GOURDE"){
		window.location.href='remesa_gourde.php?n=<?php echo $n?>&moneda=GOURDE&telefono='+telefono;
	}
}

	$("#monto").on("keypress", function(){
  uniKeyCode(event);
})

////window.addEventListener("keydown",tecla,false);


 function uniKeyCode(event) {
  var key = event.keyCode;
  //alert("Unicode KEY code: " + key);
  if(key=="32"){

		if($("#txt_buscar").val()!=""){
		  cobrar_deahi();
		}

	 }

}


function cobrar_deahi(){
	var monto = $("#monto").val();
	var sin = monto/1.05;
	$("#monto").val(sin)
		$("#comision").val(monto - sin);
}

$(function(){
	$('#cliente').val("Generico").trigger('change.select2');
	$('#cliente').prop("disabled", true);
});


function calc_comision(){
var p_comision = 5;
var tasa_remesa = "<?php echo $tasa_remesa?>";
var monto = $("#monto").val();	
var comision = monto * p_comision/100;
var total = parseFloat(monto) + parseFloat(comision);

var recibir = monto * tasa_remesa

$("#recibir").val(recibir.toFixed(2)); 
$("#comision").val(comision.toFixed(2)); 
$("#total").html(total.toFixed(2)); 
}


function calc_comision2(e){
if(e.code=="Tab"){
var p_comision = 5;
var tasa_remesa = "<?php echo $tasa_remesa?>";
var monto = $("#monto").val();	
var m1 = monto  / 1.05;
var m2 = monto - m1;
var comision = m2;
$("#monto").val(m1);

var total = parseFloat(m1) + parseFloat(comision);

var recibir = m1 * tasa_remesa

$("#recibir").val(recibir.toFixed(2)); 
$("#comision").val(comision.toFixed(2)); 
$("#total").html(total.toFixed(2)); 
}
}

function balanceAcliente(id){
				
   	var tasa_compra	= "<?php echo$tasa_compra?>";
	var tasa_venta	= "<?php echo$tasa_venta?>";
	var dif_tasa = tasa_compra - tasa_venta;
	
	
	
	
    var cliente = $("#cliente").val();
	var monto = $("#monto").val();
	var compania = "<?php echo $_GET['n']?>"
    
	var ganancia = monto * dif_tasa;
	
	if(comision_cliente<=0){
		comision_cliente = 5;
	}
	
	var beneficio_cliente = monto * comision_cliente / 100
    var montoGourde = $("#recibir").val()


	var comision = $("#comision").val()
	var comision0 = $("#comision").val()
	comision = comision  - beneficio_cliente
	 
	 var beneficio = parseFloat(ganancia) + parseFloat(comision);

	
	if(monto<=0 || monto==""){
		alert("Monto incorrecto");
		return;
	}
	
	monto = parseFloat(monto) + parseFloat(comision0)
	
	var param = "cliente="+cliente;
	    param+="&monto="+monto;
		param+="&desde='Dispositivo movil'";
		param+="&comision="+comision0;
		param+="&compania="+compania;
		param+="&montoGourde="+montoGourde;
		param+="&ganancia_cliente="+beneficio_cliente;
		param+="&id="+id;
		param+="&tipo='Recarga'";
		
		
	 $.get("balanceAclienteN.php?"+param, function(data, st){
		 if(st=="success"){
			
			
				 movimiento_producto(id);
				
			
				////
			
		 }
	 })
}



function movimiento_producto(id){

	var tasa_venta = "<?php echo $tasa_venta?>";
    var producto = "<?php echo $_GET['n']?>";

    var costo = $("#monto").val()
   
     total  = $("#recibir").val()
    var cliente = $("#cliente").val()
    var balance_anterior = $("#balance_anterior").val()
    if(balance_anterior==""){balance_anterior = 0;}

    var balance_actual = parseFloat(balance_anterior) - parseFloat(total);

    
      if(costo==""){costo = 0;}
     if(total==""){total = 0;}
     

    var sql="";
    sql="insert into movimiento_producto set fecha=CURDATE(), hora=CURTIME(), balance_anterior='"+ balance_anterior +"', debito='"+ total +"', credito=0, operacion='Remesa', cliente='"+ cliente +"', usuario='"+ myUser+"', balance_actual='"+balance_actual+"', pesos='"+ costo +"', producto='"+producto+"'";


    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
      ver(id)
      }else{
          msg(data);

      }
        $("#loading").modal('hide');
    })
}



function confirmar(){
	
	var monto = $("#monto").val()
	
	if(monto==""){monto=0;}
	if(monto<=0){alert("Monto invalido");return;}
	
	grabar();
	
	
}



  function grabar(){
	 

  var cliente = $("#cliente").val()
   var moneda = $("#moneda").val()
	 if(cliente==""){
		/////alert("Elija un agente");
		return;
	}
	
	 if(moneda==""){
		alert("ELIJA MONEDA");
		return;
	}
	
  if(!confirm("Seguro(a) que desea registrar esta recarga?")){return;}
  $("#btn_aceptar").hide()
   


     
     var monto = $("#monto").val();
    var tipo = "<?php echo $_GET['n']?>";

	$("#btngrabar").hide()
	$("#btnConfirmar").hide()

    var tasa_compra	= "<?php echo$tasa_compra?>";
	var tasa_venta	= "<?php echo$tasa_venta?>";
	var dif_tasa = tasa_compra - tasa_venta;
   
	
	var compania = "<?php echo $_GET['n']?>";


	var ganancia = 0;
  if(moneda=="PESOS"){
      ganancia = monto * tasa_venta;
      ganancia = ganancia / tasa_compra;
      ganancia = monto - ganancia;
      

      
  }

    var telefono = $("#telefono").val()
	var comision = $("#comision").val()
	var recibir = $("#recibir").val()
	if(comision_cliente<=0){
		/////comision_cliente = 5;
	}
	
	var beneficio_cliente = monto * comision_cliente / 100
    var montoGourde = $("#recibir").val()


	var comision = $("#comision").val()
	var comision0 = $("#comision").val()
	comision = comision  - beneficio_cliente
	
	 
	

	alert(ganancia)
 
  

    var sql="";
       
            sql="INSERT INTO recargas set ";
            sql+=" fecha=CURDATE()";
            sql+=", hora=CURTIME()";
            sql+=", telefono='"+ telefono +"'";
			sql+=", monto='"+monto+"'";
			sql+=", total='"+$("#total").html()+"'";
			sql+=", moneda='"+$("#moneda").val()+"'";
			sql+=", compania='"+tipo+"'";
			sql+=", tipo='remesa'";
			sql+=", beneficio='"+ganancia+"'";
			sql+=", comision_remesa='"+comision+"'";
			sql+=", usuario='"+myUser+"'";
			
			sql+=", estado=''";
			sql+=", vendedor='"+cliente+"'";
			sql+=", recibe='"+recibir+"'";
			///sql+=", actualizacion='Remesa realizada y validada por '";
			
		

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
		  
	          
               get_ultimo();
			   

      }else{
          alert(data);
		  $("#btn_aceptar").show()

      }

    })
}



var comision_cliente = 0;
function get_cliente(c){
	  var sql="select * from clientes where nombre='"+ c +"'";
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
                for( var i in rs.data){         
                    var id = rs.data[i].id;
			       comision_cliente = rs.data[i].comision;
				  

                  }
            })
}





function get_ultimo(){
	  var sql="select * from recargas where usuario='"+ myUser +"' order by id desc limit 1";
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
                for( var i in rs.data){         
                    var id = rs.data[i].id;
					 balanceAcliente(id);
					  
			  

                  }
            })
}



function limpiar(){
				$("input[type='number']").val("") 
			 $('#cliente').val("").trigger('change.select2');
}


function imprimir(id){
	 window.open('recibo.php?id='+id,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=500,height=850');
	 $(".modal").modal('hide')
}


function simprimir(id){
		$.get("recibo.php?id="+id,function(data,st){
		if(st=="success"){
		
			$("#recibo1").html(data);
			window.location='printerplus://send?text='+document.getElementById('recibo').innerHTML;
			 $("input[type='number']").val("") 
			 ////$('#cliente').val("").trigger('change.select2');
			  $("#btn_aceptar").show()
			   ////$("#modalcobrador").modal('hide');
        noti("success","Producto actualizado","Registro grabado");
        window.location.reload();
  
			///alert("pago registrado RD$: "+total);
			//////window.location.reload(true);
			
	$("#btngrabar").show()
	$("#btnConfirmar").show()

		}
	})
}

$(function(){
	var moneda = "<?php echo $moneda?>";
	$("#moneda option[value='"+moneda+"']").prop('selected', true);
})
















































//////////////////////////////////////////////////////////////////////////
////////validar///////////////////////////////////////////////////////////
 function _mostrar(){
	
            var sql="select count(id) as tt from recargas where estado='' order by id asc limit 5";
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
				$("#aviso").hide();
				      
						var rs = JSON.parse(data);
						
						for( var i in rs.data){
								 ///$("#aviso").show();  
								$("#aviso").html("<span class='btn btn-rojo'><b style='font-size:25px;'><span id='lbC'>"+rs.data[i].tt+"</span>  Recargas pendiente de validar-Precione F5 para revisar</b></span>")
						     if($("#lbC").html()=="0"){
								$("#aviso").hide();  
									}	
					
					  }
                $("#loading").modal('hide');
            })
		
 }
 
////mostrar()
function mostrar(){
	$("#lista").append("Recopilando datos para mostrar...");
	 $.get("_lista_recargas_hoy.php", function(data, st){
		 if(st=="success"){
			 $("#lista").html(data);
		 }
	 })
}




function validar2(id){
	
  var estado = $("#estado").val()
   var id = $("#idv").val();
   /////// if(estado=="Realizada"){alert('Esta recarga ya esta Validada'); return}

	
    ///// if(id==""){msg('Seleccione un registro'); return}
     ///////if(!confirm("Seguro(a) que desea validar este registro?")){return;}
	 
	 var tasa_compra	= "<?php echo $tasa_compra?>";
	var tasa_venta	= $("#tasa").val();
	var dif_tasa = tasa_compra - tasa_venta;
	
	
	
	
    var cliente = $("#vendedorv").val();
	var monto = $("#montov").val();
	var compania = $("#companiav").val()
	var comision = $("#comisionv").val()
	var comision2 = $("#comision2").val()
	var moneda = $("#monedav").val()
	
	
    if(comision==""){
		comision = 0;
	}else{
		
	 
	}
	
	if(comision>0){
		///comision = comision / 2
	}
	
	
	var ganancia = monto * dif_tasa;
   var ganancia_cliente = monto * comision_cliente/100
	var beneficio = parseFloat(ganancia) + parseFloat(comision);
	
    var sql="";                            
   	var actualizacion = "Recarga Validada por el usuario "+myUser+" en fecha <?php echo $hoy." | ".@date('H:i:s')?> | ";
	
    sql="update recargas set  comision_remesa='"+ comision +"', comision_remesa_gourde='"+ comision2 +"', estado='Realizada', actualizacion='"+actualizacion+"', nota='' where id='"+id+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalRecarga").modal('hide');
        
      
        id="";
	var id= $("#idv").val()
      imprimir(id)
	  	
      }else{
          alert(data);
          
      }
        $("#loading").modal('hide');
    })


}



function declinar(){
	var estado = $("#estado").val()

    if(estado=="Realizada"){alert('Esta recarga ya esta Validada'); return}
	
   var id = $("#id").val();
     if(id==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea declinar este registro?")){return;}
    var sql="";                            
	var actualizacion = "Recarga anulada por el usuario "+myUser+" en fecha <?php echo $hoy." | ".@date('H:i:s')?> | ";
    sql="update recargas set estado='Anulada', actualizacion='"+actualizacion+"', nota='' where id='"+id+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalRecarga").modal('hide');
        noti("success","Registro actualizado con exito","Ok");
      
        id="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          alert(data);
          
      }
        $("#loading").modal('hide');
    })


}



var tipo="";
function ver(id){
	
	$("#modalActualizar").modal('show');
    
      $("#frm").trigger('reset');
 
      $("#loading").modal('show');
            var sql="select * from recargas where id='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                     id= rs.data[i].id;             
                    $("#numerov").val(rs.data[i].telefono);
					 $("#idv").val(rs.data[i].id);
					$("#fecha").val(rs.data[i].fecha+" | "+rs.data[i].hora);
                    $("#montov").val(rs.data[i].monto);
                    $("#vendedorv").val(rs.data[i].usuario);
					$("#companiav").val(rs.data[i].compania);
					$("#estado").val(rs.data[i].estado);
					$("#comisionv").val(rs.data[i].comision_remesa);
					$("#comision2").val(rs.data[i].comision_remesa_gourde);
					$("#monedav").val(rs.data[i].moneda);
					get_cliente($("#vendedorv").val())
					 tipo = rs.data[i].tipo
					if(tipo=="recarga"){
					get_tasa(rs.data[i].compania)
					}else{
						$("#tasa").val("<?php echo $tasa_venta?>");
					
						validar2($("#idv").val())
						
					}
					$("#nota").val(rs.data[i].nota);
                 
                  
                  
                }
                $("#loading").modal('hide');
            })
        }
  
 
 
 function get_tasa(n){
	
            var sql="select * from productos where descripcion='"+n+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                           
						$("#tasa").val(rs.data[i].tasa_venta);
						alert($("#idv").val())
						validar2($("#idv").val())

                }
                $("#loading").modal('hide');
            })
 }
 
 
 var comision_cliente=0;
  function get_cliente(n){
	
            var sql="select * from clientes where nombre='"+n+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                           
						comision_cliente = rs.data[i].comision;

                }
                $("#loading").modal('hide');
            })
 }
 
 
 
function lessinventario(){
	
	  
	
	  var producto = $("#compania").val();
	 //// alert(producto)
	  var monto = $("#monto").val()
	  var numero = $("#numero").val()
	 var cliente = $("#vendedor").val()
	  var tasa = $("#tasa").val()
	   if(tasa==""){
		 tasa = 0;
	 }
      if(monto==""){monto = 0;}
	   
     var tt = monto * tasa;
 
  
  
    var sql="";
    sql="update productos set stock=stock - '"+ tt +"', costo=costo - '"+ tt +"' where descripcion='"+ producto +"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        /////window.location.reload();
           /////balanceAcliente2();
  
	
      }else{
          alert(data);

      }
        $("#loading").modal('hide');
    })
	
}


function balanceAcliente2(){
				
   	var tasa_compra	= "<?php echo $tasa_compra?>";
	var tasa_venta	= $("#tasa").val();
	var dif_tasa = tasa_compra - tasa_venta;
	
	
	
	
    var cliente = $("#vendedor").val();
	var monto = $("#monto").val();
	var compania = $("#compania").val()
	var comision = $("#comision").val()
	var comision0 = $("#comision").val()
	var id = $("#id").val()
	
	var ganancia_cliente=0;
	
    if(comision<=0 || comision==""){
		 
		 ganancia_cliente = monto * comision_cliente/100
	}else{
		ganancia_cliente = $("#comision").val() / 2;
	}
	var montoGourde = $("#recibir").val() 
	
	///var ganancia = monto * dif_tasa;
   
	/////var beneficio = parseFloat(ganancia) + parseFloat(comision);
	
	 
	
	
	
	var param = "cliente="+cliente;
	    param+="&monto="+monto;
		param+="&compania="+compania;
		param+="&comision="+comision0;
		param+="&montoGourde="+montoGourde;
		param+="&id="+id;
		param+="&ganancia_cliente="+ganancia_cliente;
		
		param+="&tipo="+tipo;
		
		
	 $.get("balanceAcliente.php?"+param, function(data, st){
		 if(st=="success"){
			//////window.location.reload();
			if(data=="1"){
				alert("el balance del cliente se ha actualizado")
			}else{
				alert(data);
			}
		 }
	 })
}




</script>

<?php include_once '../footer.php';?>
